package com.bonus.canteen.core.pay.common.service;


import com.bonus.canteen.core.pay.api.dto.UnifyPaySelectDTO;
import com.bonus.canteen.core.pay.common.vo.MobileNotifyVO;

import java.time.LocalDateTime;

public interface PayTradeService {
   void payResultHandler(MobileNotifyVO mobileNotifyVO);

   boolean sendAutoPayResultQuery(UnifyPaySelectDTO paySelectDTO, LocalDateTime startTime, boolean cancelWhenEnd);

   void sendResultMq(Long tradeId, int... delayMilliSeconds);
}
